      SUBROUTINE PENBGN(LASTX,LASTY,NEWX,NEWY)
      COMMON/PPARM/FACTOR,OFSETX,OFSETY,IERR,IPEN,
     1NTAPE,MODE,IPOINT,IFREER,ILINE
      COMMON/IARDS/IARDS
      IARDS=1
      FACTOR=102300.
      OFSETX=0.0
      OFSETY=0.0
      CALL CRTSCP(3)
      CALL CRTWIP
      RETURN
      END
      SUBROUTINE PENUP(LASTX,LASTY,NEWX,NEWY)
      LASTX=NEWX/100
      LASTY=NEWY/100
      CALL CRTOFF(LASTX,LASTY)
      RETURN
      END
      SUBROUTINE PENDWN(LASTX,LASTY,NEWX,NEWY)
      LASTX=NEWX/100
      LASTY=NEWY/100
      CALL CRTON(LASTX,LASTY)
      RETURN
      END
      SUBROUTINE PENHLT(LASTX,LASTY,NEWX,NEWY)
C
C     ISCOPE IS USED TO ALTERNATE DISPLAYS BETWEEN
C     2 SCOPES IF AVAILABLE.
C      DATA ISCOPE/1/
      READ(5,3)I
    3 FORMAT(1A1)
C      ISCOPE=ISCOPE+1
C      IF(ISCOPE.EQ.3)ISCOPE=1
C      CALL CRTSCP(ISCOPE)
      CALL CRTWIP
      RETURN
      END
      SUBROUTINE PENEND(LASTX,LASTY,NEWX,NEWY)
      CALL PENHLT(LASTX,LASTY,NEWX,NEWY)
      RETURN
      END
